"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPlugins = void 0;
const default_1 = require("./plugins/default");
function getPlugins(options) {
    var _a, _b;
    // don't load default errorResponsePlugin if user has specified their own
    const maybeErrorResponsePlugin = !!((_a = options.on) === null || _a === void 0 ? void 0 : _a.error) ? [] : [default_1.errorResponsePlugin];
    const defaultPlugins = !!options.ejectPlugins
        ? [] // no default plugins when ejecting
        : [default_1.debugProxyErrorsPlugin, default_1.proxyEventsPlugin, default_1.loggerPlugin, ...maybeErrorResponsePlugin];
    const userPlugins = (_b = options.plugins) !== null && _b !== void 0 ? _b : [];
    return [...defaultPlugins, ...userPlugins];
}
exports.getPlugins = getPlugins;
